Subject: B19: fread bug (NT and 95)
From: [email-masked] (Salumax S.A.)

13 Sep 1998 06:34:48 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------6714BA95EA2A51026E56E8C6"
To: [email-masked]

This is a multi-part message in MIME format.
--------------6714BA95EA2A51026E56E8C6
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hi...

   I found a bug with the fread instruction... In the C codes that I
wrote, the fread instruction, not reads all the bytes of the image that
I try to read... For example, when I execute the program "hola.c" that I
include with this e-mail, and I try to read the image "lenna.dat" (64
kb), hola.exe only reads 28 bytes of lenna.dat. What's the matter ?...

   best regards...

Gonzalo Rojas C
Image Processing Group
Department of Physics
University of Santiago-Chile

--------------6714BA95EA2A51026E56E8C6
Content-Type: application/x-unknown-content-type-c_auto_file; name="hola.c"
Content-Transfer-Encoding: base64
Content-Disposition: inline; filename="hola.c"

--------------6714BA95EA2A51026E56E8C6
Content-Type: application/octet-stream; name="lenna.dat"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="lenna.dat"

--------------6714BA95EA2A51026E56E8C6
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Gonzalo Rojas
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Gonzalo Rojas
n:              Rojas;Gonzalo
org:            SALUMAX S. A.
adr:            Luis Thayer Ojeda 0180, Of. 601;;Providencia;Santiago;;;CHILE
email;internet: [email-masked]
title:          System Manager, Gerente de Informatica
tel;work:       (562) 3352596
tel;fax:        (562) 3350642
tel;home:       (562) 2292145
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

--------------6714BA95EA2A51026E56E8C6--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".